апреля 25, 2024, 14:06:54

Новости:

Перейти на сайт https://xubuntu-ru.net


Core

Автор CKAP, января 20, 2016, 13:49:16

« предыдущая - следующая »

CKAP

января 20, 2016, 13:49:16 Последнее редактирование: января 20, 2016, 17:58:57 от CKAP
 Всем привет! Я продолжаю залипать в Xubuntu.
И на повестке дня Core. Журнал ][акер опубликовал такую новость.

В коде ядра Linux обнаружена опасная уязвимость CVE-2016-0728. Баг существует с 2012 года, и актуален для 32 и 64-битных систем и версий ядра начиная с 3.8 и заканчивая 4.5.

uname -r отобразить используемую версию ядра
Сам баг https://gist.github.com/PerceptionPointTeam/18b1e86d1c0f8531ff8f
Новость https://xakep.ru/2016/01/20/linux-keyring-reference-leak

У меня версия Core 4.2.0-23-generic
Из этого события появляется вопрос к опытным людям. Как обновить ядро? Или как вы избавились или будете избавляться от этого случая.

К особо продвинутым, что такое 23-generic?
     



denkin

4.2. - версия ядра согласно "ванильной" нумерации, то есть от авторов
23 - индекс уже от Каноникал
Обновить ядро можно вместе со всем остальным:
sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade
этот набор команд произведёт установку всех текущих обновлений - в этом в Линукс Убунту нет ничего страшного, если не устанавливал какие специфические драйверы со сторонних сайтов, собственно ядро (и версии других пакетов) обновится последней командой.
Каноникал обычно очень ответственно относится к таким вещам и патч скорее всего уже выпущен в обновления или будет выпущен в ближайшие сутки.

Ну и напоследок: если ты внимательно вчитаешься, то речь идет о взломе при физическом доступе к твоей машине или включеном тобою удаленном доступе, то есть фактической опасности для тебя не существует.

CKAP

Благодарю.

Лично у меня прогресса пока нет.

ckap@ckap-G31M-ES2L:~/dos$ ./cve_2016_0728 PP1
uid=1000, euid=1000
Increfing... ---> висит уже часа пол.